Bug 39647 - Davicom driver for Kernel 2.4.4, version 1.30p3 - Locking up when sending a lot of traffic
Summary: Davicom driver for Kernel 2.4.4, version 1.30p3 - Locking up when sending a l...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-08 14:05 UTC by Walter Klomp
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Walter Klomp 2001-05-08 14:05:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
I have a few bookpc's in which the Davicom 9102 is integrated.

This worked fine with Linux 2.2.16 and below... However I have now 
installed RedHat 7.0 and kernel 2.4.4 (7.1 doesn't work at all on PC with 
keyboard lock-ups.. and also no Ethernet...)

Whether or not I install above dmfe driver as a module or integrated in 
the kernel, I get lock-ups in the network card for periods of times as 
soon as a substantial amount of traffic goes through it...

I then get TX errors and the card will lock-up for some time. Not even 
reacting to pinging from the machine itself.

Upon booting the card gets initialised, but it takes about 20 seconds 
before it starts responding to pinging requests... Also if a flush-ping is 
attempted, or pinging with larger packets, the card will lock-up 
immediately.

I have also tried insmod dmfe mode=5, and all other modes, but to no avail.

This card works perfectly with driver Version 1.28 01/18/2000 on RedHat 
6.2... However I can't compile this one on RedHat 7...


How reproducible:
Always

Steps to Reproduce:
1. insmod dmfe
2. ifconfig eth0 ip.add.re.ss
3. ping -f -s 1500 some.other.host on network.
	

Actual Results:  It takes about 30 seconds to connect to the network... 
before giving command 2.
The card will lock up... temporarily losing connection with the network 
(up to 10 minutes). Then it will restore...
ifconfig will give TX output errors when this occurs.

Expected Results:  It should not happen at all... :-)

Additional info:

It would be nice if this bug could be fixed urgently as the machine 
becomes useless after kernel 2.4...

Even upgrading to kernel 2.4.4 doesn't solve the problem.

I would be happy to test any patches as soon as they are available, just e-
mail me directly.

Comment 1 Walter Klomp 2001-05-11 07:37:47 UTC
Debug (9) output filtered looks like this... during this period the card hung 
once or twice...

[root@tulip /root]# grep DBUG /var/log/messages | grep -v dmfe_inter|grep -v 
dmfe_start|grep -v timer
May 11 15:22:53 tulip kernel: DBUG: dmfe_probe() 0
May 11 15:22:53 tulip kernel: DBUG: dmfe_open 0
May 11 15:22:53 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:22:53 tulip kernel: DBUG: Link Failed : 7809
May 11 15:22:53 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:22:53 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:53 tulip kernel: DBUG: dmfe_set_filter_mode() 0
May 11 15:22:53 tulip kernel: DBUG: Set multicast address 0
May 11 15:22:53 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:54 tulip kernel: DBUG: dmfe_set_filter_mode() 0
May 11 15:22:54 tulip kernel: DBUG: Set multicast address 1
May 11 15:22:54 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:54 tulip kernel: DBUG: dmfe_set_filter_mode() 0
May 11 15:22:54 tulip kernel: DBUG: Set multicast address 1
May 11 15:22:54 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:54 tulip kernel: DBUG: dmfe_set_filter_mode() 0
May 11 15:22:54 tulip kernel: DBUG: Set multicast address 1
May 11 15:22:54 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:54 tulip kernel: DBUG: dmfe_get_stats 0
May 11 15:22:54 tulip kernel: DBUG: dmfe_get_stats 0
May 11 15:22:54 tulip kernel: DBUG: Link Failed 20
May 11 15:22:54 tulip kernel: DBUG: dmfe_set_filter_mode() 0
May 11 15:22:54 tulip kernel: DBUG: Set multicast address 2
May 11 15:22:54 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:22:54 tulip kernel: DBUG: Link link OK 7e
May 11 15:24:39 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:24:39 tulip kernel: DBUG: Link Failed : 7809
May 11 15:24:39 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:24:39 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:24:39 tulip kernel: DBUG: Link Failed 20
May 11 15:24:39 tulip kernel: DBUG: Link link OK 7e
May 11 15:24:39 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:24:39 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:24:39 tulip kernel: DBUG: Link Failed : 7809
May 11 15:24:39 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:24:39 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:24:39 tulip kernel: DBUG: Link Failed 20
May 11 15:24:39 tulip kernel: DBUG: Link link OK 7e
May 11 15:25:35 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:25:35 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:25:35 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:25:35 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:25:35 tulip kernel: DBUG: Link Failed : 7809
May 11 15:25:35 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:25:35 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:25:35 tulip kernel: DBUG: Link Failed 20
May 11 15:25:35 tulip kernel: DBUG: Link link OK 7e
May 11 15:26:40 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:26:40 tulip kernel: DBUG: Link Failed : 7809
May 11 15:26:40 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:26:40 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:26:40 tulip kernel: DBUG: Link Failed 20
May 11 15:26:40 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:26:40 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:26:40 tulip kernel: DBUG: Link Failed : 7809
May 11 15:26:40 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:26:40 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:26:40 tulip kernel: DBUG: Link Failed 20
May 11 15:26:40 tulip kernel: DBUG: Link link OK 7e
May 11 15:27:48 tulip kernel: DBUG: Warn!! Warn!! Tx/Rx monitor step1 0
May 11 15:27:48 tulip kernel: DBUG: dmfe_dynamic_reset() 0
May 11 15:27:48 tulip kernel: DBUG: dmfe_free_rxbuffer() 0
May 11 15:27:48 tulip kernel: DBUG: dmfe_init_dm910x() 0
May 11 15:27:48 tulip kernel: DBUG: Link Failed : 7809
May 11 15:27:48 tulip kernel: DBUG: dmfe_descriptor_init() 0
May 11 15:27:48 tulip kernel: DBUG: send_filter_frame() 0
May 11 15:27:48 tulip kernel: DBUG: Link Failed 20
May 11 15:27:48 tulip kernel: DBUG: Link link OK 7e

Comment 2 Bugzilla owner 2004-09-30 15:38:59 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.